DeploymentQueryMBean (Axis API)
Keywords: org.apache.axis.management.jmx.DeploymentQueryMBean interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.management.jmx
Interface DeploymentQueryMBean

All Known Implementing Classes:
  DeploymentQuery

public interface DeploymentQueryMBean

Method Summary
`WSDDGlobalConfiguration` | `findGlobalConfig()` get the global configuration
`WSDDHandler` | `findHandler(java.lang.String qname)` find the handler
`WSDDHandler[]` | `findHandlers()` return all handlers
`WSDDService` | `findService(java.lang.String qname)` find the service
`WSDDService[]` | `findServices()` return all services
`WSDDTransport` | `findTransport(java.lang.String qname)` find the transport
`WSDDTransport[]` | `findTransports()` return all transports
`java.lang.String[]` | `listServices()` List all registered services

Method Detail

### findGlobalConfig

    public WSDDGlobalConfiguration findGlobalConfig()

  get the global configuration

  Returns:

### findHandler

    public WSDDHandler findHandler(java.lang.String qname)

  find the handler

  Parameters:
    `qname` -
  Returns:

### findHandlers

    public WSDDHandler[] findHandlers()

  return all handlers

  Returns:

### findService

    public WSDDService findService(java.lang.String qname)

  find the service

  Parameters:
    `qname` -
  Returns:

### findServices

    public WSDDService[] findServices()

  return all services

  Returns:

### findTransport

    public WSDDTransport findTransport(java.lang.String qname)

  find the transport

  Parameters:
    `qname` -
  Returns:

### findTransports

    public WSDDTransport[] findTransports()

  return all transports

  Returns:

### listServices

    public java.lang.String[] listServices()
                                    throws AxisFault,
                                           ConfigurationException

  List all registered services

  Returns:
    string array
  Throws:
    `AxisFault` - ConfigurationException
    `ConfigurationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.